# Uses of Class
org.kapott.hbci.smartcardio.SmartCardService

Packages that use SmartCardService
Package
Description
org.kapott.hbci.smartcardio

## Uses of SmartCardService in org.kapott.hbci.smartcardio

Subclasses of SmartCardService in org.kapott.hbci.smartcardio
Modifier and Type
Class
Description
`class`
`ChipTanCardService`
Implementierung des Kartenservice fuer das Verfahren chipTAN-USB.
`class`
`DDVCardService`
Abstrakter DDV-Cardservice fuer den DDVPCSC-Passport, basierend auf dem OCF-Code aus HBCI4Java 2.5.8.
`class`
`DDVCardService0`
DDV-Cardservice fuer Karten des Types 0, basierend auf dem OCF-Code aus HBCI4Java 2.5.8.
`class`
`DDVCardService1`
DDV-Cardservice fuer Karten des Types 0, basierend auf dem OCF-Code aus HBCI4Java 2.5.8.
`class`
`HBCICardService`
Basis-Implementierung fuer spezielle HBCI-Karten.
`class`
`RSACardService`
Methods in org.kapott.hbci.smartcardio with type parameters of type SmartCardService
Modifier and Type
Method
Description
`static <T extends SmartCardService>
T`
SmartCardService.`createInstance(Class<? extends SmartCardService> type, String name)`
Erzeut eine neue Instanz des Card-Service fuer die angegebene Karte.
Method parameters in org.kapott.hbci.smartcardio with type arguments of type SmartCardService
Modifier and Type
Method
Description
`static <T extends SmartCardService>
T`
SmartCardService.`createInstance(Class<? extends SmartCardService> type, String name)`
Erzeut eine neue Instanz des Card-Service fuer die angegebene Karte.